#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:  armv5tl

Summary:        This lib provides incidence editor
Name:           incidenceeditor
Epoch:          2
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiMime)

BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5CalendarSupport) >= 5.3.0
BuildRequires:  cmake(KF5EventViews) >= 5.3.0
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5KdepimDBusInterfaces)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KGantt)

%description
This lib provides incidence editor.

%files
%_kf5_sysconfdir/xdg/incidenceeditor.categories
%_kf5_sysconfdir/xdg/incidenceeditor.renamecategories

#--------------------------------------------------------------------

%define kf5incidenceeditor_major 5
%define libkf5incidenceeditor %mklibname kf5incidenceeditor_ %{kf5incidenceeditor_major}

%package -n %libkf5incidenceeditor
Summary:      This lib provides incidence editor
Group:            System/Libraries

Obsoletes:      %{_lib}incidenceeditorsng4 < 2:4.14.11
Provides:        %{_lib}incidenceeditorsng4 = %version-%release

%description -n %libkf5incidenceeditor
This lib provides incidence editor.

%files -n %libkf5incidenceeditor
%_kf5_libdir/libKF5IncidenceEditor.so.%{kf5incidenceeditor_major}*

#--------------------------------------------------------------------

%define kf5incidenceeditor_devel %mklibname kf5incidenceeditor -d

%package -n %kf5incidenceeditor_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libkf5incidenceeditor = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5incidenceeditor_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5incidenceeditor_devel
%_kf5_includedir/IncidenceEditor
%_kf5_includedir/incidenceeditor
%_kf5_includedir/incidenceeditor_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5IncidenceEditor
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090009
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076744
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073979
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067277
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061336
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-3.mga6
+ Revision: 1055497
- Do not build on armv5tl

* Mon Sep 19 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1054181
- Rebuild for arm

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050603
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1049743
- Exclude armv5 as it needs qtwebengine to build

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048071
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1039998
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012488
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1006045
- New version 16.04.0

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997281
- Fix wrong require on %%name

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997260
- imported package incidenceeditor

